Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.web.research({
query: "<value>",
});
console.log(result);
}
run();curl --request POST \
--url https://api.crevio.co/v1/web/research \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>"
}
'import requests
url = "https://api.crevio.co/v1/web/research"
payload = { "query": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>'})
};
fetch('https://api.crevio.co/v1/web/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"synthesis": "<string>",
"sources": [
{
"url": "<string>",
"title": "<string>",
"position": 123
}
],
"depth": "<string>"
}{
"id": "<string>",
"object": "<string>",
"type": "<string>",
"model": "<string>",
"progress": 123,
"input": {},
"result": {},
"error": "<string>",
"error_code": "<string>",
"credits_used": 123,
"provider_request_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Web research
Deep research
Researches a question across multiple web sources and returns a cited synthesis. quick runs synchronously (200); thorough and exhaustive return a queued job (202) to poll at GET /v1/jobs/{id}. Charges credits on completion.
POST
/
web
/
research
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.web.research({
query: "<value>",
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Body
application/json
Was this page helpful?
⌘I

